GET
/
stake
/
governance
/
proposals
/
by-id
Get Proposal
curl --request GET \
  --url https://prv.stake.biya.io/stake/governance/proposals/by-id
{
  "proposal": {
    "id": "<string>",
    "messages": [
      {
        "type_url": "<string>",
        "value": "<string>"
      }
    ],
    "status": 123,
    "final_tally_result": "<string>",
    "submit_time": "<string>",
    "deposit_end_time": "<string>",
    "total_deposit": [
      {
        "denom": "<string>",
        "amount": "<string>"
      }
    ],
    "voting_start_time": "<string>",
    "voting_end_time": "<string>",
    "metadata": "<string>",
    "title": "<string>",
    "summary": "<string>",
    "proposer": "<string>",
    "tally_result": {
      "yes_count": "<string>",
      "abstain_count": "<string>",
      "no_count": "<string>",
      "no_with_veto_count": "<string>"
    }
  }
}

Query Parameters

proposal_id
string

Proposal ID

Response

200 - application/json

OK

GetProposalResponse contains a single governance proposal

proposal
object

Proposal represents a governance proposal